Bug 1247079 - dependency issue on epel7 testing
dependency issue on epel7 testing
Product: Fedora EPEL
Classification: Fedora
Component: python-anymarkup (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-07-27 05:51 EDT by Tuomo Soini
Modified: 2016-02-01 19:55 EST (History)
2 users (show)

See Also:
Fixed In Version: python-anymarkup-0.4.3-2.el7 python-anymarkup-0.4.3-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-08-13 16:19:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tuomo Soini 2015-07-27 05:51:46 EDT
I wanted to notify about dependency issue.

I grabbed python-anymarkup from koji to test dependencies on epel7.

package: python-anymarkup-0.4.3-1.el7.noarch from local7-64
  unresolved deps: 
     pytest >= 0:2.4.0

Unfortunately rhel7 only has pytest-2.3.5-4.el7 so this hard dependency makes package not installable.

If 2.4.0 is absolutely required we have a problem...
Comment 1 Jan Chaloupka 2015-07-27 06:34:44 EDT
Package pytest is not required at all. As python-anymarkup does not ship tests, pytest dependency is needless.
Comment 2 Fedora Update System 2015-07-27 06:46:17 EDT
python-anymarkup-0.4.3-2.el7 has been submitted as an update for Fedora EPEL 7.
Comment 3 Tuomo Soini 2015-07-27 07:19:05 EDT
Also upstream has removed that pytest version requirement on build time:


So that version requirement was completely wrong with 0.4.3.
Comment 4 Fedora Update System 2015-07-27 07:23:04 EDT
python-anymarkup-0.4.3-2.fc22 has been submitted as an update for Fedora 22.
Comment 5 Fedora Update System 2015-07-27 07:23:42 EDT
python-anymarkup-0.4.3-2.fc21 has been submitted as an update for Fedora 21.
Comment 6 Fedora Update System 2015-07-27 19:10:09 EDT
Package python-anymarkup-0.4.3-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-anymarkup-0.4.3-2.el7'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-08-13 16:19:26 EDT
python-anymarkup-0.4.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-02-01 19:55:03 EST
python-anymarkup-0.4.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.